"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.typescriptEsmDeclarations = void 0;
const prettier_1 = require("prettier");
const style_dictionary_1 = __importDefault(require("style-dictionary"));
const jsonToNestedValue_1 = require("../utilities/jsonToNestedValue");
const jsonToTypes_1 = require("../utilities/jsonToTypes");
const { fileHeader } = style_dictionary_1.default.formatHelpers;
const typescriptEsmDeclarations = ({ dictionary, file, options, platform = {} }) => {
    var _a;
    const { prefix } = platform;
    const tokens = prefix ? { [prefix]: dictionary.tokens } : dictionary.tokens;
    // get root name from file options or use default
    const rootName = ((_a = file.options) === null || _a === void 0 ? void 0 : _a.rootName) || 'DesignToken';
    // convert to typescript type definition
    const values = (0, jsonToTypes_1.jsonToTypes)((0, jsonToNestedValue_1.jsonToNestedValue)(tokens), '  ', rootName, true);
    const output = fileHeader({ file }) + `${values}\n`;
    // return prettified
    return (0, prettier_1.format)(output, Object.assign({ parser: 'typescript', printWidth: 500 }, options === null || options === void 0 ? void 0 : options.prettier));
};
exports.typescriptEsmDeclarations = typescriptEsmDeclarations;
