"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shadowCss = void 0;
const isShadow_1 = require("../filter/isShadow");
const formatShadow = ({ offsetX = '0', offsetY = '0', blur = '0', spread = '0', color, inset = false }) => `${offsetX} ${offsetY} ${blur} ${spread} ${color} ${inset ? 'inset' : ''}`.trim();
exports.shadowCss = {
    type: `value`,
    transitive: true,
    matcher: isShadow_1.isShadow,
    transformer: ({ value }) => {
        if (Array.isArray(value)) {
            return value.map(formatShadow).join(", ");
        }
        if (typeof value === "object") {
            return formatShadow(value);
        }
        return value;
    },
};
